Actualización WordPress 5.2.4

Inicio Foros WordPress General WordPress.org Actualización WordPress 5.2.4

Este debate contiene 38 respuestas, tiene 3 mensajes y lo actualizó  davidlluna hace 7 años, 5 meses.

  • Autor
    Publicaciones
  • #21789

    llunaonline
    Participante

    <p>Buenas, siempre he podido actualizar automáticamente la versión de WordPress, pero con la 5.2.4 me dice: "La actualización no puede instalarse ya que WordPress 3.2 requiere la versión 5.2.4 o superior de PHP. Estás usando la versión 4.4.7."<br />
    ¿¿Cómo es posible si tengo la versión 5.2.5 de PHP??
    </p>

  • #53691

    LGrusin
    Miembro

    En esa versión hay bastante cambios. Yo esperaría un poco antes de actualizar.

    http://codex.wordpress.org/Version_3.2

    Saludos

  • #53707

    llunaonline
    Participante

    Ok, eso haré, gracias LGrusin. Aunque me extraña que no me deje…

  • #53951

    llunaonline
    Participante

    Sigo con el mismo problema, he comprobado la versión de php del servidor y me confirma que es la 5.2.5 y, aún así, WordPress me dice que tengo la 4.4.7. A alguien más le passa esto??

  • #53954

    LGrusin
    Miembro

    ¿Cómo estás comprobando la versión de PHP de tu servidor?

    Saludos

  • #53958

    llunaonline
    Participante

    Con una consulta en Phpmyadmin, también en el Panel de control del hosting y, además, he hablado con el servicio técnico del hosting y me confirman que tengo la 5.2.5.

  • #53964

    LGrusin
    Miembro

    ¿No se referirá a MySQL?

  • #53980

    llunaonline
    Participante

    No no, he mirado los dos. MySql tengo la 5.1.38 y Php la 5.2.5. Ayer me pasó con un plugin que intenté instalar, me dijo lo mismo, que estava usando la 4.7.4, no lo entiendo!!

  • #53981

    davidlluna
    Participante

    Más Llunas en el foro! 😉 Bienvenido/a!

    Has probado con esto?

    http://wordpress.org/extend/plugins/health-check/

    Saludos!

  • #53982

    llunaonline
    Participante

    Hola Lluna! jeje, pues no me puse Lluna pq ya estavas tú y no me dejó! aunque estoy desde mayo pero ya veo q tu eres mucho más veterana! Voy a probar con ese plugin a ver si consigo saber qué es lo que passa.

    Muchas gracias!!

  • #53983

    llunaonline
    Participante

    Ok, lo he instalado y me dice lo mismo:
    “Warning: Your server is running PHP version 4.4.7. WordPress 3.2 will require PHP version 5.2.4.”

    Cómo puede ser q el hosting me diga q tengo una versión nueva de php y el WordPress me diga q tengo la antigua?

  • #53984

    davidlluna
    Participante

    Buenas, veterano veterano Lluna es mi apellido 🙂

    Bien, te puede pasar por varios motivos, el código usa una constante definida por el propip PHP que se llama PHP_VERSION. En un mismo servidor pueden convivir varias versiones de php.

    Crea una archivo info.php en la raiz del servidor y escribe dentro <?php phpinfo(); ?>, luego lo ejecutas, lo que salga ahi va a misa, si te sigue saliendo al 4.4.7 es que está ejecutando esa sin duda

    habla con tu hosting

    Saludos!

  • #53985

    llunaonline
    Participante

    Pues me gusta tu apellido! 😀
    El servicio técnico del hosting ya me creó el info.php y me sale el 5.2.5… Ellos no entienden qué es lo que pasa tampoco…

    Saludos!

  • #53987

    llunaonline
    Participante

    Puede tener algo q ver con que lo tengo en Windows y no en Linux? ya no se qué pensar… 😕

  • #53988

    davidlluna
    Participante

    Ufffff, es un server Windows 😉 Nada bueno puede suceder, jajaj es broma ( de todos modos que los del hosting no “entiendan” que es lo que pasa no me parece nada profesional

    Hay que revisar en el IIS que la extensión .php esta siendo ejecutada por el CGI o la dll de 5.2.5 ( en la carpeta donde esté wordpress )

    prueba a meter phpversion() en vez de phpinfo()

    Saludos!

  • #53989

    davidlluna
    Participante

    Se puede preguntar que “hosting” es?

  • #53990

    llunaonline
    Participante

    Si claro, aunque luego lo borraré para q no se me enfaden.

  • #53986

    davidlluna
    Participante

    Vaya! Pues si que es raro, he trabajado con ellos un tiempo y la verdad es que no tengo ninguna queja, no te dan soluciones?

    Es un servidor compartido? o uno dedicado?

  • #53991

    llunaonline
    Participante

    Es un hosting normal, aunque tengo otro contratado también con ellos que es dedicado. Hasta el momento siempre me han atendido genial, pero parece que esta vez no hay manera…

  • #53992

    davidlluna
    Participante

    Pues nada ánimo que seguro que te lo solucionan, no dejes de pincharles hasta que lo solucionen

    Saludos!

  • #53993

    llunaonline
    Participante

    En ello estoy! cuando consiga saber qué pasa, lo escribo por si alguien se encuentra con lo mismo.

    Saludos y muchas gracias!!

  • #54026

    llunaonline
    Participante

    Desde el hosting me dicen esto: “Seguramente no te reconozco la versión de PHP que dispones por algún problema de corrupción con algunos de los archivos actuales. Mi recomendación es que instales un wordpress en otra carpeta, lo adaptes tal como desea y después los muevas a la carpeta actual.”
    De ello deduzco que creen que es un problema de wordpress y no del servidor. El problema es que no tengo claro como hacerlo, ni que sea esa la razón del fallo…

  • #54029

    davidlluna
    Participante

    Buenas, nada de problema de corrupción, WordPress usa funciones standard de PHP para comprobar la versión de PHP por lo que no puede ser problema de WP, puedes ver en el core de wordpress como usa phpversion() para comprobar la versión, así que les puedes contestar lo siguiente:

    “WordPress usa la función nativa de PHP phpversion() para determinar la versión dePHP por lo que no tiene nada que ver con WordPress”

    Lo puedes ver por ejemplo en el archivo setup-config.php

    Otra cosa, mete el info.php en la carpeta donde tengas el wordpress, no en raiz a ver lo que sale

    Saludos

  • #54032

    llunaonline
    Participante

    Merci Lluna, voy a provar a ver qué me dicen, ya me extrañaba a mi que fuera cosa del Wordrpess…
    Te informo!
    Gracias otra vez!

  • #54033

    davidlluna
    Participante

    Haz tambien lo que te digo de mover el archivo info.php a la carpeta donde esté instalado el wordpress y ejecutalo a ver que sale.

    Sabes que Dinahosting tienen chat online de soporte no?

  • #54035

    llunaonline
    Participante

    Lo voy a intentar. Si que se lo del chat, alguna vez lo he usado, pero prefiero tratar siempre con el mismo técnico y el chat me pone cada vez con uno distinto.

  • #54054

    llunaonline
    Participante

    Su respuesta: “Te he copiado el archivo Info.php y el archivo version.php (muestra el contenido de la función phpversion()) pero debido a la configuración del blog no deja acceder a estos archivos cuando están dentro de la carpeta blog, de todas maneras la versión de PHP es única para todo el hosting.”
    Yo flipo…

  • #54055

    davidlluna
    Participante

    Vaya tela, si que es flipante

    Que plan te hosting es?

    Acabarás antes si te cambias a un plan linux

  • #54056

    llunaonline
    Participante

    Ya, lo voy a hacer en breve. Ahora tenemos el pack profesional y en breve cambiaremos a Linux, pero no creo q eso haga q Wordrpess me funcione… Voy a intentar instalar Wordrpess en otra carpeta, si me dice q no puedo instalar la versión nueva será que es cosa del servidor, si me dice q si entonces es problema del programa. Te parece buena idea?

  • #54057

    llunaonline
    Participante

    Pues si, he instalado Wordrpess 3.2.1 en otra carpeta del mismo servidor y funciona… supongo q habrá que hacer algún tipo de migración, pero al hacerlo no me encontraré con el mismo problema?

  • #54059

    davidlluna
    Participante

    No, puedes migrar sólo el contenido sin tener que mover la instalación, usa las herramientas de importar / exportar

  • #54124

    llunaonline
    Participante

    Ok, lo probaré, pero eso no puede provocar problemas con los enlaces? lo he leído en algún blog y parece que algunos enlaces dan problema puesto que dirigen a la otra carpeta.

  • #54125

    LGrusin
    Miembro

    Existe una solución que consiste en instalar WordPress en una carpeta pero para los efectos conservar el dominio principal. Para eso son las opciones del menú en Settings – General. Pero sinceramente tal como está tu servidor mejor ni lo intentes por si acaso.

    ¿Has informado a tu hosting que si va bien en una carpeta?

    ¿Te deja actualizar a la nueva versión 3.2.1? No me ha quedado clara esta parte. Lo digo porque se han corregido algunos problemas.

    Un saludo

  • #54126

    llunaonline
    Participante

    No les he informado todavía. Ahora que lo has dicho, acabo de mirar y ya no me dice nada de que no pueda instalar la nueva versión!! voy a intentarlo, espero q funcione. Muchas gracias!

  • #54131

    llunaonline
    Participante

    Por fiiiin! no se qué han hecho pero por fin funcionó! he podido actualizar! uff, vaya descanso…
    Gracias a los que me habéis ayudado!!

  • #54132

    davidlluna
    Participante

    Porfa, pregúntales a ver cómo lo han solucionado y lo publicas para ayudar a otros foreros en el futuro

    Saludos!

  • #54133

    llunaonline
    Participante

    Hola Lluna, es q no lo se! no han sido los del hosting! algo han cambiado en WordPress. LGrusin me dijo q habían corregido algunos problemas y justo entonces lo miré y ya me dejaba actualizar.

  • #54135

    LGrusin
    Miembro

    Lluna, me temo que este será otro misterio sin resolver. Les preguntarás y te dirán que no han hecho nada…

    Yo no creo que haya sido culpa de WordPress, ni que los cambios hayan influído, pero quien sabe.

    En fin, me alegro de que se haya solucionado.

    Saludos

  • #54137

    davidlluna
    Participante

    Pues si, seguramente nos quedaremos sin saberlo 😉

    Saludos!

El foro ‘General WordPress.org’ está cerrado y no se permiten nuevos debates ni respuestas.

Pin It on Pinterest

Ir al contenido